Bug 1418937 - Cannot maximize a window after unplugging an external monitor
Summary: Cannot maximize a window after unplugging an external monitor
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: mutter-wayland
Version: 25
Hardware: x86_64
OS: Linux
unspecified
low
Target Milestone: ---
Assignee: Orphan Owner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-03 08:30 UTC by Dima Ryazanov
Modified: 2017-12-12 10:31 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:31:34 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot: you can see that "Maximize" is disabled, even though xprop says it's allowed (deleted)
2017-02-03 08:30 UTC, Dima Ryazanov
no flags Details
Screenshot (526.53 KB, image/png)
2017-02-03 08:31 UTC, Dima Ryazanov
no flags Details

Description Dima Ryazanov 2017-02-03 08:30:31 UTC
After plugging and unplugging an external monitor (a TV, actually), I wasn't able to maximize any of the X11 windows - though some of them started working again after I moved and resized them.

I tried Super-Up/Left/Right, drag the window to the top/left/right of the screen, and right-click the titlebar (the "Maximize" option was disabled).

Specific steps I performed to get into this state (though only tried this once):
- Connect a TV (resolution of about 4000x2000)
- Move some windows to it
- Change the monitor settings: change the resolution to an even higher one, then change it back; move monitors relative to each other
- Unplug the TV

I noticed this in the logs - not sure if related:

Feb 03 00:23:43 dima-dell org.gnome.Shell.desktop[1654]: Window manager warning: struts occupy an unusually large percentage of the screen; available remaining width = -1 < 100Window manager warning: struts occupy an unusually large percentage of the screen; available remaining height = -1 < 100Key repeat discarded, Wayland compositor doesn't seem to be processing events fast enough!

I'm using mutter version 3.22.2.

Comment 1 Dima Ryazanov 2017-02-03 08:31:54 UTC
Created attachment 1247386 [details]
Screenshot

You can see that "Maximize" is disabled, even though xprop says it's allowed.

Comment 2 Fedora End Of Life 2017-11-16 18:49:18 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Fedora End Of Life 2017-12-12 10:31:34 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.